const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const post_hashtags = sequelize.define(
    'post_hashtags',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  post_hashtags.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity





























//end loop



    db.post_hashtags.belongsTo(db.posts, {
      as: 'post',
      foreignKey: {
        name: 'postId',
      },
      constraints: false,
    });

    db.post_hashtags.belongsTo(db.hashtags, {
      as: 'hashtag',
      foreignKey: {
        name: 'hashtagId',
      },
      constraints: false,
    });




    db.post_hashtags.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.post_hashtags.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return post_hashtags;
};


